> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach Volume

> Mount a JuiceFS volume on another cluster, so runs can use it there.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json post /api/v1/training/volumes/{name}/attachments
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/training/volumes/{name}/attachments:
    post:
      tags:
        - training
      summary: Attach Volume
      description: Mount a JuiceFS volume on another cluster, so runs can use it there.
      operationId: attach_volume_api_v1_training_volumes__name__attachments_post
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            title: Name
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AttachVolumeRequest'
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VolumeAttachmentResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    AttachVolumeRequest:
      properties:
        cluster:
          type: string
          title: Cluster
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
      type: object
      required:
        - cluster
      title: AttachVolumeRequest
    VolumeAttachmentResponse:
      properties:
        clusterId:
          type: string
          title: Clusterid
        cluster:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster
        status:
          type: string
          title: Status
      type: object
      required:
        - clusterId
        - status
      title: VolumeAttachmentResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.